Bug 1928263 - catalog operator causing CPU spikes and bad etcd performance
Summary: catalog operator causing CPU spikes and bad etcd performance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Daniel Sover
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On: 1922919
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-12 19:14 UTC by OpenShift BugZilla Robot
Modified: 2021-03-03 04:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-03 04:41:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 2006 0 None closed [release-4.5] Bug 1928263: Fix zero-delay resyncs for certain registry update policies. 2021-02-18 13:21:32 UTC
Red Hat Knowledge Base (Solution) 5759731 0 None None None 2021-02-24 13:09:00 UTC
Red Hat Product Errata RHSA-2021:0428 0 None None None 2021-03-03 04:41:06 UTC

Comment 2 Bruno Andrade 2021-02-18 16:36:41 UTC
Created 15 Catalog Source I don't see any significant cpu consumption and I see the updateStrategy reflecting the changes proposed in PR. Marking as VERIFIED.


OCP Version: 4.5.0-0.nightly-2021-02-18-022249
OLM version: 0.15.1
git commit: 83b6bbad794dec0fc1b923f1dab7aa08d1874cd2


oc get pods -n openshift-marketplace                                                                                                                                                                                                
NAME                                    READY   STATUS    RESTARTS   AGE
certified-operators-88947595f-xm77j     1/1     Running   0          90m
community-operators-5766696795-vgrn8    1/1     Running   0          90m
iib-1-728f4                             1/1     Running   0          7m55s
iib-10-xd5bg                            1/1     Running   0          4m29s
iib-11-476wv                            1/1     Running   0          3m53s
iib-12-fn667                            1/1     Running   0          3m43s
iib-13-2qcbq                            1/1     Running   0          3m34s
iib-15-nx8k7                            1/1     Running   0          7m29s
iib-2-swzjm                             1/1     Running   0          7m41s
iib-3-zs5nv                             1/1     Running   0          2m
iib-4-m5b7b                             1/1     Running   0          39s
iib-5-xvh6f                             1/1     Running   0          24s
iib-6-jnff4                             1/1     Running   0          6m36s
iib-7-7gwfq                             1/1     Running   0          5m44s
iib-8-drgbl                             1/1     Running   0          4m53s
iib-9-6lpmd                             1/1     Running   0          4m38s
marketplace-operator-657958bfdf-z9zf6   1/1     Running   0          91m
qe-app-registry-567565c658-w9j7p        1/1     Running   0          75m
redhat-marketplace-555dbfdb6d-tb7d7     1/1     Running   0          90m
redhat-operators-868bdf5c85-f7f7q       1/1     Running   0          90m

oc get catalogsource redhat-operators -o yaml -n openshift-marketplace 
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: redhat-operators
  namespace: openshift-marketplace
  resourceVersion: "45669"
  selfLink: /apis/operators.coreos.com/v1alpha1/namespaces/openshift-marketplace/catalogsources/redhat-operators
  uid: e9b93317-8372-4872-905f-878b30f76f54
spec:
  address: redhat-operators.openshift-marketplace.svc:50051
  displayName: Red Hat Operators
  icon:
    base64data: ""
    mediatype: ""
  publisher: Red Hat
  sourceType: grpc
status:
  connectionState:
    address: redhat-operators.openshift-marketplace.svc:50051
    lastConnect: "2021-02-18T16:19:04Z"
    lastObservedState: READY
  registryService:
    createdAt: "2021-02-18T14:50:13Z"
    protocol: grpc

Comment 6 errata-xmlrpc 2021-03-03 04:41:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.5.33 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0428


Note You need to log in before you can comment on or make changes to this bug.